/* 

INSTRUCTION: Write the correct rule set below each item.

Note: Below is the syntax of a CSS rule-set:

selector {
    property: value;
    property: value;
}
*/

/* PART 1: SIMPLE SELECTORS */
/* 1. Assign the property of text-decoration with a value of underline to all h2 tags */
h2 {text-decoration: underline;}

/* 2. Assign the property of letter-spacing with a value of 16px to all elements with a class of 1s-10px  */
.ls-10px {letter-spacing: 16px;} 

/* 3. Assign the property of text-align with a value of center to the element with an id of center  */
#center {text-align: center;}


/* ====================================================================================================================== */
/* PART 2: ATTRIBUTE SELECTORS */
/* 4. Assign property of width with a value of 100% to all elements that with required attribute */
[required] {width: 100%;}

/* 5. Assign property of background-color with a value of gray to elements with type attribute that is button  */
[type=button] {background-color: gray;}

/* 6. Assign property of margin-top with a value of 16px to elements with name attribute that ends with submit  */
[name$=submit] {margin-top: 16px;}


/* ====================================================================================================================== */
/* PART 3: COMBINATOR SELECTORS */
/* 7. Change the color to darkmagenta of all tr elements that are children of the thead element. */
thead > tr {color: darkmagenta;}

/* 8. Change the color to forestgreen of all td elements that are adjacent siblings of a th element. */
th + td {color: forestgreen;}


/* ====================================================================================================================== */
/* PART 4: PSEUDO-CLASS SELECTORS */
/* 9. Change the background color to RED of the first child (i.e., tr) of the tbody. */
tbody tr:first-child {background-color: red;}

/* 10. Change the background color to VIOLET of the last child (i.e., tr) of the tbody. */
tbody tr:last-child {background-color: violet;}

/* 11. Change the background color to ORANGE of the second child (i.e., tr) of the tbody. */
tbody tr:nth-child(2) {background-color: orange;}


/* ====================================================================================================================== */
/* PART 5: PSEUDO-ELEMENT SELECTORS */
/* Use pseudo-element selector to add: */
/* 12. the content "ORDER SUMMARY" BEFORE the element with the id #order-summary. */
#order-summary::before {content: "ORDER SUMMARY";}

/* 13. the content "Updated June 17, 2019" AFTER the element with the id #order-summary. */
#order-summary::after {content: "Updated June 17, 2019";}
